"""
default app creation
"""
import logging
import sys

import inventory_provider
from inventory_provider import constants

logging.basicConfig(level=logging.WARNING)
logging.getLogger(constants.SNMP_LOGGER_NAME).setLevel(logging.DEBUG)
logging.getLogger(constants.TASK_LOGGER_NAME).setLevel(logging.INFO)
logging.getLogger(constants.JUNIPER_LOGGER_NAME).setLevel(logging.DEBUG)
logging.getLogger(constants.DATABASE_LOGGER_NAME).setLevel(logging.DEBUG)

logging.basicConfig(
    stream=sys.stderr,
    level=logging.DEBUG)

app = inventory_provider.create_app()

if __name__ == "__main__":
    # app.run(host="::", port="7777")
    app.run(host="::", port="7878")
